Subject: Re: [OOPS] bcm43xx oops on 2.6.20-rc1 on x86_64

From: Larry Finger <[email-masked]>
Date: Sun, 31 Dec 2006 08:22:35 -0600

Adrian Bunk wrote:
> 
> To avoid any misunderstandings:
> 
> This wasn't in any way meant against you personally.
> 
> And in this case you were right, it was the same bug.
> 
> My answer was based on experiences like one during 2.6.19-rc where we 
> had 4 bug reports for a regression with a patch available. And it turned 
> out that one of them was for a completely different regression.
> 
> That's why I prefer to get confirmations that a user actually run into 
> the same issue, and not into something completely different with similar 
> symptoms.

I certainly understood your intent and agree that confirmation is necessary. I was venting some
frustration at it taking nearly 3 weeks to get a fix into the system for a bug that was caused by a
change in an kernel structure that was not our doing. When Andrew posted a trial patch to fix the
compilation error that resulted, I immediately responded with the two additional fixes that were
needed, but they never made it into the code. Since then I have been seeing these obscure bug
reports and quickly learned that if either softmac or bcm43xx WX were involved, this fix took care
of the problem.

Larry